Page MenuHomePhabricator

nodemap: write new data from the expected current data length
ClosedPublic

Authored by marmoute on Jan 15 2020, 9:56 AM.

Details

Summary

If the amount of data in the file exceed the expect amount, we will overwrite
the extra data. This is a simple way to be safer.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jan 15 2020, 9:56 AM
marmoute updated this revision to Diff 19772.Jan 31 2020, 10:30 AM
marmoute updated this revision to Diff 19799.Jan 31 2020, 6:00 PM
marmoute updated this revision to Diff 19843.Feb 2 2020, 3:19 AM

small doc update on .#s[1]

marmoute updated this revision to Diff 19903.Feb 4 2020, 7:25 PM

rebase to latest default

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.